Operations

Run hardware test

POST/v1/baremetal/{id}/hardware-test

Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.

Authorizations

  • Authorizationstringheaderrequired

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Required permission: organization.baremetal.deploy

Path parameters

  • idstring<uuid>required

Body

application/json
  • isCpuIncludedbooleanrequired
  • isMemoryIncludedbooleanrequired
  • isDiskIncludedbooleanrequired
  • isSmartIncludedbooleanrequired
  • cpuDurationSecondsinteger<int32> | null

    Limits:10 <= x <= 1800

  • memoryDurationSecondsinteger<int32> | null

    Limits:10 <= x <= 1800

  • diskDurationSecondsinteger<int32> | null

    Limits:10 <= x <= 1800

  • cpuWorkersinteger<int32> | null

    Limits:1 <= x <= 1024

  • memoryPercentinteger<int32> | null

    Limits:1 <= x <= 95

  • diskBlockSizestring | null

    Limits:pattern ^[1-9][0-9]{0,7}[kKmM]?$

  • diskIoDepthinteger<int32> | null

    Limits:1 <= x <= 256

Response

201 · application/json

Created

  • successbooleanrequired

    Allowed values:true

  • dataobject | nullrequired